#!/usr/bin/env -S gnuplot -c
outputfile = 'out_data/diferent_t' # Nom de la imatge resultant (sense extensió)
datafilepre = 'out_data/SIM-L-32-TEMP-'
datafilepost = '-MCTOT-10000.out'
L=32
TEMPS="1500 1800 2500 3500 4500"

set terminal svg dashed size 600, 1200 font "Computer Modern,Tinos,Helvetica,15"
set output outputfile.'.svg'

set key outside top horizontal
set multiplot layout 2,1

set title "Energia"
plot for [T in TEMPS] datafilepre . T . datafilepost using 1:($2/(L*L)) with lines title "T = ".T." mK"
set title "Magnetització"
plot for [T in TEMPS] datafilepre . T . datafilepost using 1:($3/(L*L)) with lines title "T = ".T." mK"
